<?php

namespace TheBugs\Email;

interface MailerInterface
{     
    public function send(string $subject, string $message, bool $html = true) : bool;
    
    public function setFrom(string|\Stringable|array $from) : self;
    
    public function attach(mixed $attachment) : self;

    public function setTo(string|\Stringable|array $to) : self;
}